<?session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$db1='pedidosm_mynomina_'.$_POST['empresa1'];
$db2='pedidosm_mynomina_'.$_POST['empresa2'];
include ("fphp.php");
$enlace=cargar_conexion();
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?
echo "  <center><br><h2>Copiar Tablas de una Empresa a Otra</h2></center><br><hr>
		<br>
		<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST' enctype='multipart/form-data'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>";
			echo "<tr>";
					if ($_SESSION['nombre_validar']=='Richard') $query="Select * from tab_usuario order by empresa, detalle";
					else $query="Select * from tab_usuario where tipo=0 order by empresa, detalle";
					$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
					echo "<td align = 'right'>Empresa Desde? </font>";
					echo "<td><select name = 'empresa1'>";
						while ($row1 = mysqli_fetch_array($consulta)) echo "<option width = '30%' value='".$row1['id']."'>".trim($row1['empresa'])." - Usuario: ".$row1['detalle'];
						mysqli_free_result($consulta);
			echo "</select></tr>";
			echo "<tr>";
					if ($_SESSION['nombre_validar']=='Richard') $query="Select * from tab_usuario order by empresa, detalle";
					else $query="Select * from tab_usuario where tipo=0 order by empresa, detalle";
					$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
					echo "<td align = 'right'>Empresa Hasta? </font>";
					echo "<td><select name = 'empresa2'>";
						while ($row1 = mysqli_fetch_array($consulta)) echo "<option width = '30%' value='".$row1['id']."'>".trim($row1['empresa'])." - Usuario: ".$row1['detalle'];
						mysqli_free_result($consulta);
			echo "</select></tr>";
			echo "<tr>";
				echo "<td align = 'right'>Validar Operaci&oacute;n? (SI): </font></td>";
				echo "<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>";
			echo "</tr>";

		echo "</table>";		
		
		echo "<table align = 'center'>
			<tr>
				<td ><input type = 'submit' style='margin-left: 5px; width: 130px' value = 'Copiar Conceptos?'></td>
			</tr></table>
			<script language='javascript' type='text/javascript'>
				document.entrada.empresa1.focus();
			</script><br>
			</form><hr>";

///=====================================================================================================================
if ($_POST['bandera']=='1') {			
	if (strtoupper($_POST['si'])=="SI") {
		if ($_POST['empresa1']!=$_POST['empresa2']) {		
			$consulta1=mysqli_query($enlace,"select * from tablas where id='".$_POST['empresa1']."' ");
			while($row1=mysqli_fetch_array($consulta1)) {
				$a=mysqli_query($enlace,"insert into tablas (id,codigo, tabla, detalle) values ('".$_POST['empresa2']."','".$row1['codigo']."','".$row1['tabla']."','".$row1['detalle']."')");
			}
			echo "<center><b><font color='red'>Carga Efectuada Satisfactoriamente</b></font></center>";
		} else echo "<center><b><font color='red'>Empresas deben ser diferentes...</b></font></center>";
	} else echo "<b><center><font color='red'>Ha solicitado NO validar...</font></b></center>";	
}

?>			
		<br><br>				
	</body>
</html>